<?php
/**
* Registered Users Module
* @package Mambo Open Source
* @Copyright (C) 2004 - Helder Garcia
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_offset;

$ret = include('modules/mod_totalusers_language/'.$mosConfig_lang.'.php');
if($ret <> 1) {
	include('modules/mod_totalusers_language/english.php');
	}

/*
* Module Configuration
* These settings can be done through the Module Parameters in the
* administration panel. All defaults to YES (1)
*/

$show_today = $params->get('show_today', 1);
$show_week = $params->get('show_week', 1);
$show_month = $params->get('show_month', 1);
$show_last = $params->get('show_last', 1);
$icon_set = $params->get('icon_set', 1);

$query1 = "SELECT count(id) as registered FROM #__users WHERE usertype <> 'administrator' AND usertype <> 'superadministrator'";
$query2 = "SELECT count(id) FROM #__users WHERE to_days(registerDate) = to_days(curdate()) AND usertype <> 'administrator' AND usertype <> 'superadministrator'";
$query3 = "SELECT count(id) FROM #__users WHERE yearweek(registerDate) = yearweek(curdate()) AND usertype <> 'administrator' AND usertype <> 'superadministrator'";
$query4 = "SELECT count(id) FROM #__users WHERE month(registerDate) = month(curdate()) AND year(registerDate) = year(curdate()) AND usertype <> 'administrator' AND usertype <> 'superadministrator'";
$query5 = "SELECT username FROM #__users WHERE block='0' AND usertype <> 'administrator' AND usertype <> 'superadministrator' ORDER BY registerDate DESC LIMIT 1";
$database->setQuery($query1);
$total_array = $database->loadResult();
if($show_today==1) {
	$database->setQuery($query2);
	$today = $database->loadResult();
	};
if($show_week==1) {
	$database->setQuery($query3);
	$thisweek = $database->loadResult();
	};
if($show_month==1) {
	$database->setQuery($query4);
	$thismonth = $database->loadResult();
	};
if($show_last==1) {
	$database->setQuery($query5);
	$lastuser = $database->loadResult();
	};
switch ($icon_set) {
	case 1:
		$icon0 = "group02.gif";
		$icon1 = "man01.gif";
		$icon2 = "man02.gif";
		$icon3 = "man03.gif";
		$icon4 = "man05.gif";
		break;
	case 2:
		$icon0 = "group03.gif";
		$icon1 = "today.gif";
		$icon2 = "week.gif";
		$icon3 = "month.gif";
		$icon4 = "last.gif";
		break;
	case 3:
		$icon0 = "group01.gif";
		$icon1 = "blueman.gif";
		$icon2 = "pinkman.gif";
		$icon3 = "redman.gif";
		$icon4 = "yellowman.gif";
		break;
	case 4:
		$icon0 = "penguin00.png";
		$icon1 = "penguin01.gif";
		$icon2 = "penguin01.gif";
		$icon3 = "penguin01.gif";
		$icon4 = "penguin02.gif";
		break;
}

if ($total_array == NULL) {?>
	<table>
	<tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon0; ?>" width="100%" height="100%" border="0" align="left" alt="" /></td><td><?php echo " 0 "._REG_USS;?></td></tr>
	</table><?php
} else {?>
	<table>
	<tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon0; ?>" border="0" align="center" alt="" /></td><td><?php echo " $total_array "._REG_USS;?></td></tr>
	<?php if($show_today==1) { ?><tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon1; ?>" border="0" align="right" alt="" /></td><td><?php echo " $today "._REG_TDY;?></td></tr><?php }; ?>
	<?php if($show_week==1) { ?><tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon2; ?>" border="0" align="right" alt="" /></td><td><?php echo " $thisweek "._REG_WEK;?></td></tr><?php }; ?>
	<?php if($show_month==1) { ?><tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon3; ?>" border="0" align="right" alt="" /></td><td><?php echo " $thismonth "._REG_MON;?></td></tr><?php }; ?>
	<?php if($show_last==1) { ?><tr><td><img src="<?php echo $mosConfig_live_site; ?>/modules/mod_totalusers_images/<?php echo $icon4; ?>" border="0" align="right" alt="" /></td><td><?php echo _REG_LST;?><I><?php echo $lastuser;?></I></td></tr><?php }; ?>
	</table><?php
}

?>
